Package rdkit :: Package Chem :: Package FeatMaps :: Module FeatMaps :: Class FeatDirScoreMode

[hide private]
[frames] | no frames]

# Class FeatDirScoreMode

source code

    object --+
             |
            FeatDirScoreMode

Instance Methods | [hide private]

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables | [hide private]

| Ignore = `0` ignore feature directions...
| DotFullRange = `1` Use the dot product and allow negative contributions when directions are anti-parallel.
| DotPosRange = `2` Use the dot product and scale contributions to lie between zero and one.

Properties | [hide private]

Inherited from `object`: `__class__`

Class Variable Details | [hide private]

### Ignore

    ignore feature directions

Value:

      0

### DotFullRange

    Use the dot product and allow negative contributions when
    directions are anti-parallel.
    e.g. score = dot(f1Dir,f2Dir)

Value:

      1

### DotPosRange

    Use the dot product and scale contributions to lie between
    zero and one.
    e.g. score = ( dot(f1Dir,f2Dir) + 1 ) / 2

Value:

      2